import { Constructor } from '@adonisjs/core/types/common';
import '@akago/vine-lucid';
import '../lib/vine_types/vine_enum_with_values.js';
export type AKEnumController = {
    handle(): Promise<string[]>;
};
export declare const enumController: <E extends Record<string, string>>(enumObject: E, enumName: string) => Constructor<AKEnumController>;
